Subject: Re: [MMUSIC] Alexey Melnikov's No Objection on draft-ietf-mmusic-rid-14: (with COMMENT)

From: Adam Roach <[email-masked]>
Date: Tue, 15 May 2018 19:41:44 -0500

On 4/16/18 7:33 AM, Alexey Melnikov wrote:
> ----------------------------------------------------------------------
>
> The document is generally fine, but I have a few minor comments:
>
> In the ABNF:
>
>     rid-width-param   = "max-width" [ "=" int-param-val ]
>
>     rid-height-param  = "max-height" [ "=" int-param-val ]
>
>     rid-fps-param     = "max-fps" [ "=" int-param-val ]
>
>     rid-fs-param      = "max-fs" [ "=" int-param-val ]
>
>     rid-br-param      = "max-br" [ "=" int-param-val ]
>
>     rid-pps-param     = "max-pps" [ "=" int-param-val ]
>
>     rid-bpp-param     = "max-bpp" [ "=" float-param-val ]
>
> Maybe I missed that, but what is the meaning of "max-width" (and others) with
> no value? Or to rephrase that: are the values really optional?

This is to allow for the behavior specified in Section 6.1:

    5.  If the offerer wishes the answerer to have the ability to specify
        a restriction, but does not wish to set a value itself, it
        includes the name of the restriction in the "a=rid" line, but
        without any indicated value.

...which corresponds to this behavior in 6.3:

        The answer MUST NOT include any restrictions that were not
        present in the offer.

...and has a final interaction with this behavior in 6.4:

    2.  If the answer contains any restrictions that were not present in
        the offer, then the offerer SHALL discard the "a=rid" line.

> 12.2.  Registry for RID-Level Parameters
>
>     New restriction registrations are accepted according to the
>     "Specification Required" policy of [RFC5226], provided that the
>     specification includes the following information:
>
>     o  contact name, email address, and telephone number
>
> Considering the European GDPR directive is going to come into force in May: is
> there any legitimate use for collecting phone numbers for this registry?
>
>     o  restriction name (as it will appear in SDP)
>
>     o  long-form restriction name in English
>
>     o  whether the restriction value is subject to the charset attribute
>
>     o  an explanation of the purpose of the restriction
>
>     o  a specification of appropriate attribute values for this
>        restriction
>
>     o  an ABNF definition of the restriction
>
>     The initial set of "a=rid" restriction names, with definitions in
>     Section 5 of this document, is given below:
>
>       RID Parameter Name           Reference
>       ------------------           ---------
>       max-width                    [RFCXXXX]
>       max-height                   [RFCXXXX]
>       max-fps                      [RFCXXXX]
>       max-fs                       [RFCXXXX]
>       max-br                       [RFCXXXX]
>       max-pps                      [RFCXXXX]
>       max-bpp                      [RFCXXXX]
>       depend                       [RFCXXXX]
>
> And now you just registered them without following your registration template
> that you've specified above ;-).

Good catch. Technically, it says the *spec* needs to include this 
information, not the table, but that's probably unnecessary as well. It 
looks like the original list was copied directly from the SDP attribute 
registry, and some of these are clearly not applicable (e.g., the 
charset handling is already nailed down by the registration for the 
attribute itself). The upcoming -15 will instead read:

New restriction registrations are accepted according to the "Specification
Required" policy of {{RFC5226}}. The registration MUST contain the RID
parameter name and a reference to the corresponding specification. The
specification itself must contain the following information (not all of 
which
appears in the registry):

* restriction name (as it will appear in SDP)

* an explanation of the purpose of the restriction

* a specification of appropriate attribute values for this restriction

* an ABNF definition of the restriction

You can view the diffs between -14 and -15 at 
<https://www.ietf.org/rfcdiff?url1=draft-ietf-mmusic-rid-14&url2=draft-ietf-mmusic-rid-15>

/a